<?xml version="1.0" encoding="ISO-8859-1"?>
<controls>
 <document id="DocEntreesDirectesStock">
  <collectivite-path sort="2">
   <code-path>/FEN0070A/@added:collectivite</code-path>
   <libelle-path>/FEN0070A/@added:collectivite</libelle-path>
  </collectivite-path>
  <engine xmlns="">
   <add-on name="unique.id.generator">
    <param id="element.name" name="element.name" datatype="string" value="EDS"/>
    <param id="generated.attribute" name="generated.attribute" datatype="string" value="ano:unique-id"/>
    <param id="processor" name="processor" datatype="string" value="fr.gouv.finances.cp.xemelios.controls.processors.IdGeneratorProcessor"/>
    <param id="event" name="event" datatype="string" value="start.element"/>
    <param id="generator" name="generator" datatype="string" value="fr.gouv.finances.cp.xemelios.controls.processors.impl.TstampIPUniqueId"/></add-on>
   <add-on name="collectivite.generator">
    <param id="element.name" name="element.name" datatype="string" value="FEN0070A"/>
    <param id="processor" name="processor" datatype="string" value="fr.gouv.finances.dgfip.xemelios.entreesdirectesstock.CollectiviteGenerator"/>
    <param id="event" name="event" datatype="string" value="start.element"/></add-on>
  </engine>
  <controlTech id="TECH02" libelle="Contrôle de l'encoding du fichier." severity="BLOQUANT">
   <paramTech id="encoding1" name="encoding" value="ISO-8859-15"/>
   <paramTech id="failOnError" name="failOnError" value="false"/></controlTech>
  <controlTech id="TECH03" libelle="Contrôle de la conformance au schéma." severity="NON BLOQUANT">
   <paramTech id="schemaLocation" name="schemaLocation" value="fen0070a/schema/AX-FEN0070A_V3.xsd"/>
   <paramTech id="failOnError" name="failOnError" value="false"/>
   <ignore-regexp>.*txt2xml[:]LineTxt.*</ignore-regexp>
   <ignore-regexp>.*txt2xml[:]TxtValue.*</ignore-regexp>
  </controlTech>
  <control id="CTL-M108" libelle="Contrôle sur les codes mouvement autorisés" severity="BLOQUANT" class="fr.gouv.finances.dgfip.xemelios.controls.entreesdirectesstock.M108">
   <regle-fonctionnelle><![CDATA[Les valeurs autorisées sont :<br/>
                <ul><li> en entrée: '501', '521' ou '701'</li>
                    <li> en sortie : '201','551' ou '702'</li>
                   </ul>]]></regle-fonctionnelle>
   <message-echec>EDS=#ENTETE_IDAE# _ Id AE = #ENTETE_IDAE# _ Code-MVT = #ENTETE_CODE_MVT# :Le code mouvement n'est pas reconnu.</message-echec>
  </control>
  <control id="CTL-M169" libelle="Contrôle sur le motif général de l'entrée en stock et la valorisation du poste d'entrée de stock" severity="BLOQUANT" class="fr.gouv.finances.dgfip.xemelios.controls.entreesdirectesstock.M169">
   <regle-fonctionnelle><![CDATA[ Si CODE_MVT = '501', TXT_ENTETE et VAL sont valorisés. <br/>]]></regle-fonctionnelle>
   <message-echec>EDS=#EDS_ID#_ID-POSTE= #IDPOSTE#_ID-LIG=#ID_LIG#: La valeur de CODE_MVT implique le renseignement d'un ou plusieurs champs.</message-echec>
  </control>
  <control id="CTL-M001" libelle="Contrôle sur les valeurs de la zone AE TYPE_ENR" severity="BLOQUANT" class="fr.gouv.finances.dgfip.xemelios.controls.entreesdirectesstock.M001">
   <regle-fonctionnelle><![CDATA[La zone AE TYPE_ENR ne peut prendre que les valeurs : 'E'et'L'.<br/>]]></regle-fonctionnelle>
   <message-echec>EDS N° #NOMBRE_EDS#_TYPE_ENR= #LIGNE_INCONNUE# :La zone AE TYPE_ENR est incorrecte.</message-echec>
  </control>
 </document>
</controls>
